EscriptParams.h File Reference
`#include <boost/python/list.hpp>`
`#include <string>`
`#include <unordered_set>`

Go to the source code of this file.

## Classes

class | escript::EscriptParams

## Namespaces

| escript

## Functions

void | escript::setEscriptParamInt (const std::string &name, int value)
| Set the value of a named parameter. See listEscriptParams() for available parameters. More...
int | escript::getEscriptParamInt (const std::string &name, int sentinel=0)
| get the value of a named parameter. See listEscriptParams() for available parameters. More...
boost::python::list | escript::listEscriptParams ()
| describe available parameters. More...
bool | escript::hasFeature (const std::string &name)
| returns true if escript was compiled with the feature `name`, false otherwise. More...
boost::python::list | escript::listFeatures ()
| returns a list of features escript was compiled with. More...